
Foreman - Bug #3724

Some UI text doesn't use the "Red Hat" name correctly

11/22/2013 09:45 AM - Dominic Cleal

Status: Closed   

Priority: Normal   

Assignee: Lukas Zapletal   

Category: Web Interface   

Target version: 1.4.0   

Difficulty: trivial Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Not even just Red Hat, some other OS names aren't capitalised properly below:

app/views/ptables/welcome.html.erb:47:  <%= _("The dynamic partitioning style is currently only available for the Redhat family of

operating systems, all others must provide an explicit list of partitions and sizes.") %>

app/views/dashboard/welcome.html.erb:16:    <%= _('When operating in unattended mode Foreman will require more information, so

expect more questions, but it will be able to automate host installations for redhat, debian, suse and solaris operating systems (and

their clones), see') %>

app/views/media/welcome.html.erb:9:  <%= _("For example, if you have copied several redhat release disks into a directory structure

where the disk images are named 5.8 or 6.2, and each contained both x86_64 and i386 binaries, then you

app/views/media/welcome.html.erb:11:  The entry, which could be just named 'redhat' could contain a path like this

<em>'http://server/redhat/$version/$arch'</em>").html_safe %>

Related issues:

Blocks Foreman - Tracker #3723: Red Hat branding issues Closed 11/22/2013

Associated revisions

Revision cb4177d3 - 11/25/2013 08:47 AM - Lukas Zapletal

fixes #3724 - correcting Red Hat names in some UI texts

History

#1 - 11/22/2013 09:45 AM - Dominic Cleal

- Blocks Tracker #3723: Red Hat branding issues added

#2 - 11/22/2013 09:48 AM - Dominic Cleal

- Difficulty set to trivial

#3 - 11/22/2013 04:35 PM - Lukas Zapletal

- Status changed from New to Ready For Testing

- Assignee set to Lukas Zapletal

- Target version set to 1.10.0

https://github.com/theforeman/foreman/pull/1048

#4 - 11/25/2013 08:47 AM - Dominic Cleal

- translation missing: en.field_release set to 2

#5 - 11/25/2013 09:31 AM - Lukas Zapletal

- Status changed from Ready For Testing to Closed
https://github.com/theforeman/foreman/pull/1048


- % Done changed from 0 to 100

Applied in changeset cb4177d34a7be15d81cb930830af5f1b371f8738.
